log4cplus::thread::ManualResetEvent Class Reference

`#include <syncprims.h>`

## Public Member Functions

| ManualResetEvent (bool=false)
| ~ManualResetEvent ()
| ManualResetEvent (ManualResetEvent const &)=delete
ManualResetEvent & | operator= (ManualResetEvent const &)=delete
void | signal () const
void | wait () const
bool | timed_wait (unsigned long msec) const
void | reset () const

## Detailed Description

Definition at line 125 of file syncprims.h.

## Constructor & Destructor Documentation

## ManualResetEvent() [1/2]

log4cplus::thread::ManualResetEvent::ManualResetEvent | ( | bool | = false | ) |

explicit

Referenced by ManualResetEvent(), and operator=().

## ~ManualResetEvent()

log4cplus::thread::ManualResetEvent::~ManualResetEvent | ( |  | ) |

## ManualResetEvent() [2/2]

log4cplus::thread::ManualResetEvent::ManualResetEvent | ( | ManualResetEvent const & |  | ) |

delete

References ManualResetEvent().

## Member Function Documentation

## operator=()

ManualResetEvent & log4cplus::thread::ManualResetEvent::operator= | ( | ManualResetEvent const & |  | ) |

delete

References ManualResetEvent().

## reset()

void log4cplus::thread::ManualResetEvent::reset | ( |  | ) | const

## signal()

void log4cplus::thread::ManualResetEvent::signal | ( |  | ) | const

## timed_wait()

bool log4cplus::thread::ManualResetEvent::timed_wait | ( | unsigned long | msec | ) | const

## wait()

void log4cplus::thread::ManualResetEvent::wait | ( |  | ) | const

The documentation for this class was generated from the following file:

- syncprims.h